Bug 873402 - There is no way how to disable modem-manager
There is no way how to disable modem-manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 809098 950309 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 13:37 EST by Michal Hlavinka
Modified: 2015-04-08 13:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:36:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2012-11-05 13:37:26 EST
Description of problem:
There seems to be no way to disable / remove ModemManager. It's feature to probe all available devices caused a problem again. I have two gsm modems that are used as part of messaging system to send sms. Modem-manager's fight over these two devices caused DOS for my users. 

I need some way to
a] remove modem-manager X NetworkManager depends on it
b] disable it in some configuration file
Comment 1 Dan Williams 2013-02-25 05:54:44 EST
You cannot 'rpm -e ModemManager' the package?  It's installed by default but it should not be required by any other package.
Comment 2 Michal Hlavinka 2013-02-25 08:42:36 EST
# yum remove ModemManager
Loaded plugins: refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package ModemManager.x86_64 0:0.6.0.0-1.fc17 will be erased
--> Processing Dependency: ModemManager >= 0.4 for package: 1:NetworkManager-0.9.6.4-3.fc17.x86_64
--> Running transaction check
---> Package NetworkManager.x86_64 1:0.9.6.4-3.fc17 will be erased
--> Processing Dependency: NetworkManager = 1:0.9.6.4-3.fc17 for package: 1:NetworkManager-gnome-0.9.6.4-3.fc17.x86_64
--> Running transaction check
---> Package NetworkManager-gnome.x86_64 1:0.9.6.4-3.fc17 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

============================================================
Package Arch Version Repository Size
============================================================
Removing:
 ModemManager x86_64 0.6.0.0-1.fc17 installed 1.0 M
Removing for dependencies:
 NetworkManager x86_64 1:0.9.6.4-3.fc17 @updates 7.0 M
 NetworkManager-gnome x86_64 1:0.9.6.4-3.fc17 @updates 1.3 M


So the answer is no, NetworkManager depends on ModemManager
Comment 3 Tom Shield 2013-03-12 21:27:30 EDT
Does

http://forums.linuxmint.com/viewtopic.php?t=101010&f=42

help?  

KDE does not depend on it, so uninstalling it worked for me, so I have not tried this.
Comment 4 Michal Hlavinka 2013-03-13 04:48:26 EDT
That's like a boomerang. You throw it away and it returns later and hits you. If you rename or remove that file, it will get there again with next package update. It'll break your setup and you'll have to find out what's wrong (because you already forgot).
Comment 5 Dan Williams 2013-03-13 09:18:51 EDT
Ah, we removed the dep for Fedora 18 and later.  But since MM is in comps for f17+, I think we can remove it from the next NetworkManager update for F17 too.  I've removed the dep in package git.
Comment 6 Dan Williams 2013-04-15 15:07:29 EDT
*** Bug 950309 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2013-07-04 02:56:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 14:36:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Oliver Henshaw 2015-03-24 10:05:00 EDT
*** Bug 809098 has been marked as a duplicate of this bug. ***
Comment 10 Oliver Henshaw 2015-03-24 10:14:09 EDT
I think this has indeed been fixed since f17/f18 times. And there's now a -wwan subpackage which depends on ModemManger in f21, for those who need it, I think.
Comment 11 Robert Golden 2015-04-08 13:48:49 EDT
Disabled on RHEL 6 so that modem-manager is no longer executable:

chmod ugo-x /usr/sbin/modem-manager

Note You need to log in before you can comment on or make changes to this bug.